#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

static const char *LOGFILE = "/var/log/slfr.log";
static FILE *f;


void phoneui_backend_init()
{
	int fd;

	if (! (f = fopen(LOGFILE, "w"))) {
		fprintf(stderr, "could not open %s", LOGFILE);
		return;
	}
	fd = fileno(f);

	close(1);
	dup2(fd, 1);
	close(2);
	dup2(fd, 2);
	fprintf(stderr, "Pid: %d\n", getpid());
}

void phoneui_backend_deinit()
{
	if (f != NULL) {
		fclose(f);
		f = NULL;
	}
}

void phoneui_backend_idle_screen_show()
{
	system("slfr-idle-screen show &");
}

void phoneui_backend_idle_screen_hide()
{
	system("slfr-idle-screen hide &");
}

void phoneui_backend_idle_screen_toggle()
{
	system("slfr-idle-screen toggle &");
}
